Subject: [EAI] [Fwd: Re: [Fwd: Re: Comments on draft-ietf-eai-imap-utf8-07]]

From: Alexey Melnikov <[email-masked]>
Date: Fri, 11 Sep 2009 13:20:32 +0100

With Dave's permission.

Subject: Re: [Fwd: Re: [EAI] Comments on draft-ietf-eai-imap-utf8-07]
From: Dave Cridland <[email-masked]>
To: Alexey Melnikov <[email-masked]>
Date: Fri, 11 Sep 2009 12:59:27 +0100

On Fri Sep 11 10:55:10 2009, Alexey Melnikov wrote:
> Any thoughts on this? I am concerned that this changes the  
> capability processing logic in the client from a simple token  
> lookup.
> 
> 
Polymer has always assumed that capabilities are either:

FOO

Or:

FOO=BAR FOO=BAZ

And not a mixture.

In fact, they're mapped internally to a dictionary construct, with  
the FOO as key, and a list of the "sub capabilities" as the value:

{ "FOO": [] }
{ "FOO": ["BAR", "BAZ"] }

So if there's a UTF8 and a UTF8=ALL, that's likely to break things  
for me, at least.

What I don't know is whether other programmers chose to treat  
caoability strings this way or not - it's certainly mandated by no  
specs I'm aware of.

I would, however, prefer a UTF8=ALL UTF8=FOO UTF8=BANANA style.

Dave.